summaryrefslogtreecommitdiffstats
path: root/network/spamassassin/spamassassin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/spamassassin/spamassassin.SlackBuild')
-rw-r--r--network/spamassassin/spamassassin.SlackBuild32
1 files changed, 12 insertions, 20 deletions
diff --git a/network/spamassassin/spamassassin.SlackBuild b/network/spamassassin/spamassassin.SlackBuild
index 6b8c2a311d..072eb69f17 100644
--- a/network/spamassassin/spamassassin.SlackBuild
+++ b/network/spamassassin/spamassassin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for spamassassin
-# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2011 LukenShiro, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,16 +26,14 @@
# spamassassin database, and most of spamassassin dependencies' scripts.
PRGNAM=spamassassin
-VERSION=${VERSION:-3.3.1}
+VERSION=${VERSION:-3.3.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -72,31 +70,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo "y" | perl Makefile.PL INSTALLDIRS=vendor
+echo "y" | perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
make install DESTDIR=$PKG
-# Move man-pages to appropriate place
-mv $PKG/usr/share/man $PKG/usr/
-
-# Remove perlocal.pod, .packlist and .bs from $PKG
-( for i in perllocal.pod .packlist *.bs; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-)
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
+find $PKG -depth -type d -empty -delete || true
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Compress man pages
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Preserve config files
( cd $PKG/etc/mail/spamassassin